#! /bin/sh
HOME_DIR="/home/root"
LOG_FILE="$HOME_DIR/logs/SYSLOG.ALS"

if [ -d "$HOME_DIR/backup" ]; then
	echo "Removing Existing Backup" >> $LOG_FILE
	rm -rf $HOME_DIR/backup/*
else
	echo "Creating Backup Directory" >> $LOG_FILE
	mkdir $HOME_DIR/backup
fi

echo "Backing up Executables" >> $LOG_FILE
cp $HOME_DIR/*.AFE $HOME_DIR/backup >> $LOG_FILE
echo "Backing up Configuration" >> $LOG_FILE
cp -R $HOME_DIR/cfg $HOME_DIR/backup >> $LOG_FILE
