#!/bin/sh
HOME_DIR="/home/root"
LOG_FILE="$HOME_DIR/logs/SYSLOG.ALS"

###############################################################################
# Re-Write the rc.local file to not include anything wifi.
###############################################################################
RC_LOCAL=/etc/rc.d/rc.local
cp $RC_LOCAL /home/root/rc.local.bak
echo "#!/bin/sh -e" > $RC_LOCAL
echo "echo Running rc.local" >> $RC_LOCAL
echo "cd /home/root" >> $RC_LOCAL
echo "if [ -f /media/AFS_DATA/afs_repair.sh ]; then" >> $RC_LOCAL
echo "  chmod +x /media/AFS_DATA/afs_repair.sh" >> $RC_LOCAL
echo "  /media/AFS_DATA/afs_repair.sh" >> $RC_LOCAL
echo "  mv /media/AFS_DATA/afs_repair.sh /media/AFS_DATA/afs_repaid.sh.old" >> $RC_LOCAL
echo "fi" >> $RC_LOCAL
echo "/usr/bin/xinit ./AFSMON.AFE" >> $RC_LOCAL
chmod +x $RC_LOCAL

WIFI_START=/usr/bin/wifi-start.sh
echo "#!/bin/sh -e" > $WIFI_START
echo "LOGFILE=/home/root/logs/SYSLOG.ALS" >> $WIFI_START
echo "if [ -d /sys/class/net/wlan0 ]; then" >> $WIFI_START
echo "  if pidof -x \"dnsmasq\" >/dev/null; then" >> $WIFI_START
echo "    echo \"WIFI-START: Stopping dnsmasq process.\" >> \$LOGFILE" >> $WIFI_START
echo "    pkill dnsmasq" >> $WIFI_START
echo "  fi" >> $WIFI_START
echo "  if pidof -x \"hostapd\" >/dev/null; then" >> $WIFI_START
echo "    echo \"WIFI-START: Stopping hostapd process.\" >> \$LOGFILE" >> $WIFI_START
echo "    pkill hostapd" >> $WIFI_START
echo "  fi" >> $WIFI_START
echo "  echo \"WIFI-START: Configuring device wlan0\" >> \$LOGFILE" >> $WIFI_START
echo "  /sbin/ifconfig wlan0 up 192.168.10.1 netmask 255.255.255.0" >> $WIFI_START
echo "  sleep 2" >> $WIFI_START
echo "  echo \"WIFI-START: Starting dnsmasq.\" >> \$LOGFILE" >> $WIFI_START
echo "  /usr/local/bin/dnsmasq" >> $WIFI_START
echo "  echo \"WIFI-START: Configuring iptables.\" >> \$LOGFILE" >> $WIFI_START
echo "  /usr/sbin/iptables --flush" >> $WIFI_START
echo "  /usr/sbin/iptables --table nat --flush" >> $WIFI_START
echo "  /usr/sbin/iptables --delete-chain" >> $WIFI_START
echo "  /usr/sbin/iptables --table nat --append POSTROUTING --out-interface lo -j MASQUERADE" >> $WIFI_START
echo "  /usr/sbin/iptables --append FORWARD --in-interface wlan0 -j ACCEPT" >> $WIFI_START
echo "  /sbin/sysctl -w net.ipv4.ip_forward=1 1>> \$LOGFILE" >> $WIFI_START
echo "  /usr/local/bin/hostapd -B /etc/hostapd/hostapd.conf 1>> \$LOGFILE" >> $WIFI_START
echo "fi" >> $WIFI_START
chmod +x $WIFI_START

WIFI_STOP=/usr/bin/wifi-stop.sh
echo "#!/bin/sh -e" > $WIFI_STOP
echo "pkill hostapd" >> $WIFI_STOP
echo "pkill dnsmasq" >> $WIFI_STOP
chmod +x $WIFI_STOP

# NOTE: We need to recopy the hostapd.conf file so that it's properly spaced on
# Systems that had already installed it prior to verion 0.2
cp hostapd.conf /etc/hostapd

echo "installed" > $HOME_DIR/logs/wifi.0.3

