#! /bin/sh
HOME_DIR="/home/root"
LOG_FILE="$HOME_DIR/logs/SYSLOG.ALS"

echo "Updating Earth Magnetic Model From SD Card" >> $LOG_FILE
if [ -f "$1/WMM.COF" ]; then
	cp -f $1/WMM.COF $HOME_DIR/map/WMM.COF
	sync
	sleep 1
elif [ -f "$1/WMM.COF" ]; then
	cp -f $1/WMM.COF $HOME_DIR/map/WMM.COF
	sync
	sleep 1
else
	echo "WMM.COF file not found" >> $LOG_FILE
fi
