#! /bin/sh
HOME_DIR="/home/root"
LOG_FILE="$HOME_DIR/logs/SYSLOG.ALS"

# SRVDSAB.AFE
if [ -f "$1/SRVDSAB.AFE" ]; then
	echo "Upgrading SRVDSAB.AFE From SD Card" >> $LOG_FILE
	cp -f $1/SRVDSAB.AFE $HOME_DIR/SRVDSAB.AFE
        cp -f $1/dsab_version $HOME_DIR/dsab_version
	sync
	sleep 1
elif [ -f "$1/srvdsab.afe" ]; then
	echo "Upgrading SRVDSAB.AFE From SD Card" >> $LOG_FILE
	cp -f $1/srvdsab.afe $HOME_DIR/SRVDSAB.AFE
        cp -f $1/dsab_version $HOME_DIR/dsab_version
	sync
	sleep 1
else
	echo "SRVDSAB.AFE file not found" >> $LOG_FILE
fi

if [ -d "$HOME_DIR/config" ]; then
    echo "DSAB config dir exists" >> $LOG_FILE
else
    mkdir $HOME_DIR/config
    echo "DSAB making config dir" >> $LOG_FILE
fi
